## magicfilter 1.2

=== debian/changelog ===
magicfilter (1.2-68) unstable; urgency=medium

  * debian/rules: use autoreconf (Closes: #1075248)
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/watch: update to version 4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2024 11:03:02 +0200

magicfilter (1.2-67) unstable; urgency=medium

  * new maintainer (Closes: #652289)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: move maintenance to debian-printing team
  * debian/patch: add first version of description

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jan 2024 22:03:02 +0100

magicfilter (1.2-66) unstable; urgency=medium

  * QA upload.

  [ Valerie R Young ]
  * Make the build reproducible (fileordering) (Closes: #847016)

  [ Helmut Grohne ]
  * Fix failure to cross-build from source. (Closes: #974767)

  [ Vagrant Cascadian ]
  * debian/rules: Use -ffile-prefix-map in CFLAGS. (Closes: #977783)
  * debian/rules: Pass GZIP and BZIP2 to configure. (Closes: #977784)
  * debian/control: Update Vcs-* headers.
  * debian/changelog: Remove trailing whitespace.
  * debian/control: Set Rules-Requires-Root to no.
  * debian/rules: Do not call chown for Rules-Requires-Root support.
  * debian/rules: Use dpkg-deb with --root-owner-group to support
    Rules-Requires-Root.
  * debian/control: Update Standards-Version to 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 20 Dec 2020 13:18:12 -0800

magicfilter (1.2-65) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Drop Recommends on mpage. Closes: #876568.
  * Add build-arch and build-indep targets.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 20 Jan 2018 04:27:53 +0100

magicfilter (1.2-64.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible by passing -n to gzip calls in debian/rules.
    (Closes: #777448)

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jan 2017 12:22:42 +0000

magicfilter (1.2-64) unstable; urgency=low

  * debian/rules: Use -Os, *not* -0s. Tks Matthias Klose. Closes: #625174.
  * debian/control:
    + Add version control information.
    + Remove unneeded dependency on libpaper1.
    + Fix spelling of Vcs-Browser.
    + The package complies to Policy 3.9.2.
  * debian/{control,copyright}: Use wrap-and-sort.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 17 Sep 2011 00:32:24 -0300

magicfilter (1.2-63) unstable; urgency=low

  * debian/control:
    + include DMUA: yes, as per recommendation from Otavio Salvador.
    + remove djtools from build-depends.
    + upgrade Standards-Version to 3.8.3 (no changes needed).
  * debian/{patches,rules,control,source/format}:
    + break monolithic patch into finer grained patches (further changes
      to happen soon, including their descriptions).
    + use format "3.0 (quilt)".
  * debian/patches:
    + fix FTBFS with eglibc >= 2.10 (Closes: #552855).
  * debian/rules:
    + support DEB_BUILD_OPTIONS == nostrip (Closes: #437548).
    + support DEB_BUILD_OPTIONS == noopt.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 14 Nov 2009 02:41:02 -0200

magicfilter (1.2-62) unstable; urgency=low

  * debian/control:
    + promote djtools, recode to recommends.  (Closes: #101010, #295293)
    + demote enscript to recommends. (Closes: #294485)
    + add a2ps and mpage as alternatives to enscript.
    + wrap the recommends line.
    + change Standards-Version to 3.8.2 (no changes needed).
  * Package kindly reviewed by Russ Allbery.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 04 Aug 2009 15:17:38 -0300

magicfilter (1.2-61) unstable; urgency=low

  * debian/control:
    + new maintainer. (Closes: #176737: ITA) Thanks dfrey for all your work!
    + rework long description.
    + include comment in the control file (policy 3.8.1 allows it).
  * debian/rules:
    + don't ignore make errors. (Yes, more!).
    + clean config.{sub,guess} in the clean target to avoid diff.gz bloat.
    + use config.{sub,guess} in the build target
  * Many of these changes are minor and can kept when the package goes
    from a homebrew build to a debhelper + quilt package management (and
    this will take care of some lintian warnings of the "pedantic" level).

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 07 May 2009 03:44:17 -0300

magicfilter (1.2-60.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do some QA work, since I care about this package and the current
    maintainer issued an RFA bug (176737).
  * debian/control: revamp the file:
    + replace tetex-bin with texlive.
    + replace gs with ghostscript.
    + remove gzip dependency & build-dependency (it's essential).
    + remove dvips nonexistent dependency (dvips is included in texlive).
    + remove libjpeg-gif dependency (nonexistent).
    + add poppler-utils in front of xpdf-utils (the first is more updated).
    + add autotools-dev to build-deps.
    + wrap the build-deps and deps fields.
    + add Homepage: field.
  * debian/watch: create from scratch.
  * debian/rules:
    + don't ignore make errors.
    + don't ignore make errors (-i).
    + soon to use a patch system (quilt).
    + soon to use debhelper (it's homebrew for now).
    + add upstream changelog.
  * debian/{postinst,postrm,prerm}:
    + use "set -e".
  * debian/copyright:
    + refer to GPL-2, not GPL.
    + added upstream copyright notice.
  * debian/menu:
    + change section to "Applications/System/Administration".
  * debian/control:
    + change Standards-Version to 3.8.1.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 03 Apr 2009 19:48:23 -0300

magicfilter (1.2-60) unstable; urgency=low

  * recompile
  * depend on libpaper1 (closes: #346579)
  * fix lintian warning about su-to-root

 -- David Frey <david@eos.lugs.ch>  Wed,  8 Nov 2006 23:47:08 +0100

magicfilter (1.2-59) unstable; urgency=medium

  * remove dvips from Build-Depends-List (closes: #336279)
  * change FSF's address in copyright again.
  * change the encoding of the changelog to UTF8.

