=== debian/control ===
Source: magicfilter
Build-Depends:
 autotools-dev,
 bzip2,
 enscript,
 ghostscript,
 groff,
 libjpeg-progs,
 libtiff-tools,
 netpbm,
 poppler-utils | xpdf-utils,
 recode,
 texlive,
 transfig,
 dh-autoreconf
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.ibiblio.org/pub/linux/system/printing/magicfilter-1.2.lsm
Vcs-Browser: https://salsa.debian.org/debian/magicfilter
Vcs-Git: https://salsa.debian.org/debian/magicfilter.git

Package: magicfilter
Architecture: any
Depends:
 ${shlibs:Depends}
Recommends:
 bzip2,
 djtools,
 enscript | a2ps,
 ghostscript,
 lpr | lprng,
 poppler-utils | xpdf-utils,
 recode
Suggests:
 groff,
 libjpeg-progs,
 libtiff-tools,
 netpbm,
 texlive,
 transfig
Conflicts:
 apsfilter,
 printfilters-ppd
Description: automatic printer filter
 Magicfilter is a customizable, extensible automatic printer filter.
 .
 It translates the files that you send to a printer to a "language" that
 your printer can "understand". To accomplish this goal, it determines
 the type of the file that is to be printed and uses its "knowledge" to
 convert the file to something that is printable.
 .
 This is done by use of magicfilter's own magic database (a la file(1))
 to decide how to print out a given print job.
