=== debian/watch ===
# I'm not sure if the site is reachable -- rbrito
version=4
https://www.pell.portland.or.us/~orc/Code/magicfilter/magicfilter-(.*)\.tar\.gz
